"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _getState = _interopRequireDefault(require("./getState"));

var _sendApiCall = _interopRequireDefault(require("./sendApiCall"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This method deletes the specified user's account from SAP Customer Data Cloud's database.
 * This method call can only be made as a secured server request.
 * @see https://help.sap.com/docs/SAP_CUSTOMER_DATA_CLOUD/8b8d6fffe113457094a17701f63e3d6a/4133a29470b21014bbc5a10ce4041860.html?locale=en-US.
 */
function _default({
  UID,
  ...params
} = {}) {
  return new Promise(async (resolve, reject) => {
    try {
      const state = await (0, _getState.default)();
      const response = await (0, _sendApiCall.default)('accounts.deleteAccount', {
        UID: UID || state.UID,
        ...(params && params)
      });
      resolve(response);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=deleteAccount.js.map