"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactNative = require("react-native");

var _getState = _interopRequireDefault(require("./getState"));

var _state = require("../internals/state");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  GigyaSdk
} = _reactNative.NativeModules;

function _default(config) {
  return new Promise(async (resolve, reject) => {
    try {
      await (0, _state.setState)(config);
      const updatedState = await (0, _getState.default)();
      const updatedConfig = {
        lang: updatedState.lang,
        apiKey: updatedState.apiKey,
        storage: updatedState.storage,
        dataCenter: updatedState.dataCenter,
        storageKey: updatedState.storageKey
      };
      resolve(GigyaSdk.initialize(updatedConfig));
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=init.js.map