"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _getState = _interopRequireDefault(require("./getState"));

var _sendApiCall = _interopRequireDefault(require("./sendApiCall"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This method resets a user's password, either via email or directly. The email format is according to the templates defined in the site policy.
 * @see https://help.sap.com/docs/SAP_CUSTOMER_DATA_CLOUD/8b8d6fffe113457094a17701f63e3d6a/559574624b634e5a955e0f7eeba01c07.html?locale=en-US
 */
function _default(params = {}) {
  return new Promise(async (resolve, reject) => {
    try {
      const state = await (0, _getState.default)();
      const response = await (0, _sendApiCall.default)('accounts.resetPassword', {
        lang: state.lang,
        ...(params && params)
      });
      resolve(response);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=resetPassword.js.map