"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactNative = require("react-native");

var _handleSdkCall = _interopRequireDefault(require("../internals/handleSdkCall"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  GigyaSdk
} = _reactNative.NativeModules;

function _default(apiEndPoint, params) {
  return new Promise(async (resolve, reject) => {
    const values = params || {};

    try {
      for (let key in values) {
        if (typeof values[key] === 'object') {
          values[key] = JSON.stringify(values[key]);
        }
      }

      const response = await (0, _handleSdkCall.default)(GigyaSdk.sendApiCall(apiEndPoint, JSON.stringify(values)));
      resolve(response);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=sendApiCall.js.map