"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(params) {
  return JSON.stringify(params, (key, value) =>
  /**
   * NOTE: Stringifies params from:
   *
   * { profile: { firstName: 'Test', lastName: 'LastName' }, lang: 'en' }
   *
   * to:
   *
   * {"profile":"{\"firstName\":\"Test\",\"lastName\":\"LastName\"}","lang":"en"}
   *
   * instead of:
   *
   * {"profile":{"firstName":"Test","lastName":"LastName"},"lang":"en"}
   *
   * tldr: making sure that, once the whole params argument has been parsed on the native side,
   * nested objects will come out as JSON strings and not objects.
   */
  key && typeof value === 'object' ? JSON.stringify(value) : value);
}
//# sourceMappingURL=formatParams.js.map