"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _state = require("./state");

var _getState = _interopRequireDefault(require("../core/getState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: Use on smsLogin error.
function _default(type, error) {
  return new Promise(async (resolve, reject) => {
    try {
      var _state$regToken, _error$payload, _state$regToken2;

      const state = await (0, _getState.default)();
      const existingRegToken = (_state$regToken = state.regToken) === null || _state$regToken === void 0 ? void 0 : _state$regToken.value;
      const incomingRegToken = error === null || error === void 0 ? void 0 : (_error$payload = error.payload) === null || _error$payload === void 0 ? void 0 : _error$payload.regToken;
      const value = incomingRegToken || existingRegToken;
      const expirationDate = incomingRegToken && incomingRegToken !== existingRegToken ? new Date(new Date().setHours(new Date().getHours() + 1)) : (_state$regToken2 = state.regToken) === null || _state$regToken2 === void 0 ? void 0 : _state$regToken2.expirationDate;
      const isStillValid = expirationDate && new Date(expirationDate).getTime() >= new Date().getTime();
      await (0, _state.setState)({
        error: error !== null && error !== void 0 ? error : state.error,
        authenticationAttempt: {
          type
        },
        regToken: {
          value,
          expirationDate,
          isStillValid
        }
      });
      resolve();
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=saveAuthenticationAttempt.js.map