import getAccountInfo from './getAccountInfo';
import getRequiredConsentSchemas from './getRequiredConsentSchemas';
export default function () {
  return new Promise(async (resolve, reject) => {
    try {
      var _await$getAccountInfo;

      const requiredConsentSchemas = await getRequiredConsentSchemas();
      const consentIds = requiredConsentSchemas.map(schema => schema.key);
      const preferences = (_await$getAccountInfo = await getAccountInfo({
        noUID: true
      })) === null || _await$getAccountInfo === void 0 ? void 0 : _await$getAccountInfo.preferences;
      if (consentIds.length < 1 || !preferences) return resolve(null);
      let output = [];
      consentIds.forEach(consentId => {
        var _preferences$consentI, _preferences$consentT, _preferences$consentT2;

        const [consentTypeOrId, subConsentId] = consentId.split('.');

        if (!(preferences !== null && preferences !== void 0 && (_preferences$consentI = preferences[consentId]) !== null && _preferences$consentI !== void 0 && _preferences$consentI.isConsentGranted) && !(preferences !== null && preferences !== void 0 && (_preferences$consentT = preferences[consentTypeOrId]) !== null && _preferences$consentT !== void 0 && (_preferences$consentT2 = _preferences$consentT[subConsentId]) !== null && _preferences$consentT2 !== void 0 && _preferences$consentT2.isConsentGranted)) {
          output = [...output, consentId];
        }
      });

      if (!output.length) {
        return resolve(null);
      }

      resolve(output);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=getUnacceptedConsentSchemas.js.map