import { NativeModules } from 'react-native';
const {
  GigyaSdk
} = NativeModules;
import logout from './logout';
import getState from './getState';
import isGigyaError from './isGigyaError';
import formatParams from '../internals/formatParams';
import handleSdkCall from '../internals/handleSdkCall';
import clearErrorState from '../internals/clearErrorState';
import saveAuthenticationAttempt from '../internals/saveAuthenticationAttempt';
export default function (email, password, params) {
  return new Promise(async (resolve, reject) => {
    try {
      await logout();
      const state = await getState();
      let values = params || {};
      values.lang = (values === null || values === void 0 ? void 0 : values.lang) || state.lang;
      const response = await handleSdkCall(GigyaSdk.registerAccount(email, password, formatParams(values)));

      try {
        await clearErrorState();
      } catch (err) {}

      resolve(response);
    } catch (e) {
      if (await isGigyaError(e)) {
        try {
          await saveAuthenticationAttempt('site', e);
        } catch (err) {
          return reject(err);
        }
      }

      reject(e);
    }
  });
}
//# sourceMappingURL=registerAccount.js.map