import getState from './getState';
import sendApiCall from './sendApiCall';

/**
 * This method resets a user's password, either via email or directly. The email format is according to the templates defined in the site policy.
 * @see https://help.sap.com/docs/SAP_CUSTOMER_DATA_CLOUD/8b8d6fffe113457094a17701f63e3d6a/559574624b634e5a955e0f7eeba01c07.html?locale=en-US
 */
export default function (params = {}) {
  return new Promise(async (resolve, reject) => {
    try {
      const state = await getState();
      const response = await sendApiCall('accounts.resetPassword', {
        lang: state.lang,
        ...(params && params)
      });
      resolve(response);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=resetPassword.js.map