export let GigyaSdkDataCenters;
/**
 * Internal state of the library.
 */

(function (GigyaSdkDataCenters) {
  GigyaSdkDataCenters["AU1"] = "au1.gigya.com";
  GigyaSdkDataCenters["CN1"] = "cn1.sapcdm.cn";
  GigyaSdkDataCenters["EU1"] = "eu1.gigya.com";
  GigyaSdkDataCenters["EU2"] = "eu2.gigya.com";
  GigyaSdkDataCenters["US1"] = "us1.gigya.com";
  GigyaSdkDataCenters["GLOBAL"] = "global.gigya.com";
})(GigyaSdkDataCenters || (GigyaSdkDataCenters = {}));

/**
 * Common error codes returned by Gigya's servers.
 * @see [Response Codes and Errors](https://help.sap.com/docs/SAP_CUSTOMER_DATA_CLOUD/8b8d6fffe113457094a17701f63e3d6a/416d41b170b21014bbc5a10ce4041860.html?locale=en-US)
 */
export let GigyaSdkErrorCodes;
/**
 * Common error reasons returned by Gigya's servers.
 * @see [Response Codes and Errors](https://help.sap.com/docs/SAP_CUSTOMER_DATA_CLOUD/8b8d6fffe113457094a17701f63e3d6a/416d41b170b21014bbc5a10ce4041860.html?locale=en-US)
 */

(function (GigyaSdkErrorCodes) {
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["ValidationError"] = 400009] = "ValidationError";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["PermissionDenied"] = 403007] = "PermissionDenied";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["InvalidParameter"] = 400006] = "InvalidParameter";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["ConflictingAccount"] = 403043] = "ConflictingAccount";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["PendingVerification"] = 206002] = "PendingVerification";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["LoginIdDoesNotExist"] = 403047] = "LoginIdDoesNotExist";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["PendingRegistration"] = 206001] = "PendingRegistration";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["NotConnectedToNetwork"] = 400106] = "NotConnectedToNetwork";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["MaxRequestLimitReached"] = 403000] = "MaxRequestLimitReached";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["InvalidApiKeyParameter"] = 400093] = "InvalidApiKeyParameter";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["UniqueIdentifierExists"] = 400003] = "UniqueIdentifierExists";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["InvalidLoginIdOrPassword"] = 403042] = "InvalidLoginIdOrPassword";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["AccountTemporarilyLockedOut"] = 403120] = "AccountTemporarilyLockedOut";
  GigyaSdkErrorCodes[GigyaSdkErrorCodes["ConsecutiveRequestLimitReached"] = 400125] = "ConsecutiveRequestLimitReached";
})(GigyaSdkErrorCodes || (GigyaSdkErrorCodes = {}));

export let GigyaSdkErrors;

(function (GigyaSdkErrors) {
  GigyaSdkErrors["NetworkError"] = "networkError";
  GigyaSdkErrors["SendApiError"] = "sendApiError";
  GigyaSdkErrors["EmptyResponse"] = "emptyResponse";
  GigyaSdkErrors["UserCancelled"] = "userCancelled";
  GigyaSdkErrors["UndefinedError"] = "undefinedError";
  GigyaSdkErrors["JsonParseError"] = "jsonParseError";
  GigyaSdkErrors["ValidationError"] = "validationError";
  GigyaSdkErrors["SetAccountError"] = "setAccountError";
  GigyaSdkErrors["InvalidParameter"] = "invalidParameter";
  GigyaSdkErrors["PermissionDenied"] = "permissionDenied";
  GigyaSdkErrors["ConflictingAccount"] = "conflictingAccount";
  GigyaSdkErrors["LoginIdDoesNotExist"] = "loginIdDoesNotExist";
  GigyaSdkErrors["PendingRegistration"] = "pendingRegistration";
  GigyaSdkErrors["PendingVerification"] = "pendingVerification";
  GigyaSdkErrors["NotConnectedToNetwork"] = "notConnectedToNetwork";
  GigyaSdkErrors["PendingPasswordChange"] = "pendingPasswordChange";
  GigyaSdkErrors["CreateURLRequestFailed"] = "createURLRequestFailed";
  GigyaSdkErrors["MaxRequestLimitReached"] = "maxRequestLimitReached";
  GigyaSdkErrors["InvalidApiKeyParameter"] = "invalidApiKeyParameter";
  GigyaSdkErrors["UniqueIdentifierExists"] = "uniqueIdentifierExists";
  GigyaSdkErrors["InvalidLoginIdOrPassword"] = "invalidLoginIdOrPassword";
  GigyaSdkErrors["AccountTemporarilyLockedOut"] = "accountTemporarilyLockedOut";
  GigyaSdkErrors["ConsecutiveRequestLimitReached"] = "consecutiveRequestLimitReached";
})(GigyaSdkErrors || (GigyaSdkErrors = {}));
//# sourceMappingURL=types.js.map